Package org.pushingpixels.substance.internal.animation

# Interface TransitionAwareUI

All Known Implementing Classes:
  `ColorSliderUI`, `SubstanceButtonUI`, `SubstanceCheckBoxMenuItemUI`, `SubstanceCheckBoxUI`, `SubstanceComboBoxUI`, `SubstanceEditorPaneUI`, `SubstanceFormattedTextFieldUI`, `SubstanceMenuItemUI`, `SubstanceMenuUI`, `SubstancePasswordFieldUI`, `SubstanceRadioButtonMenuItemUI`, `SubstanceRadioButtonUI`, `SubstanceScrollBarUI`, `SubstanceSliderUI`, `SubstanceSplitPaneDivider`, `SubstanceTextAreaUI`, `SubstanceTextFieldUI`, `SubstanceTextPaneUI`, `SubstanceToggleButtonUI`

public interface TransitionAwareUI
General interface for UIs that wish to provide transition effects on one of their components. This class is for internal use only.

## Method Summary

Modifier and Type
Method
Description
`StateTransitionTracker`
`getTransitionTracker()`
Returns the model for tracking the transitions.
`boolean`
`isInside(MouseEvent me)`
Checks whether the mouse position of the specified event lies inside the area of the component designated for transition effects.

## Method Details

### isInside

boolean isInside(MouseEvent me)
Checks whether the mouse position of the specified event lies inside the area of the component designated for transition effects.

Parameters:
  `me` - Mouse event.
Returns:
  `true` if the mouse position of the specified event lies inside the area of the component designated for transition effects, `false` otherwise.

### getTransitionTracker

StateTransitionTracker getTransitionTracker()
Returns the model for tracking the transitions.

Returns:
  Model for tracking the transitions.